Virtual AccountCreate Bulk Virtual Account

Create Dedicated Bulk Virtual Account

This endpoint allows you to create dedicated virtual accounts in bulk for multiple customers using the batch ID from the create bulk customer endpoint response. This is useful for generating unique virtual account numbers for each customer in a batch.

API Endpoint

POST https://backendapi.sayswitchgroup.com/api/v1/dedicated_bulk_virtual_account
curl -X POST https://backendapi.sayswitchgroup.com/api/v1/dedicated_bulk_virtual_account \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_SECRET_KEY" \
  -d '{
    "batchId": "6641876634878"
  }'

Request Explanation

FieldsTypeDescription
batchIdstringThe unique batch identifier from the bulk customer creation response.
 
 
#### Sample Response
 
 
{
  "status": true,
  "message": "NUBAN accounts successfully created",
  "totalCreated": 2,
  "totalSkipped": 0,
  "data": [
    {
      "businesses_id": 96,
      "customer_id": 2108,
      "account_name": "SUN",
      "account_number": "6600026605",
      "bank_name": "Moniepoint Microfinance Bank",
      "currency": "NGN",
      "domain": "live",
      "status": "active",
      "provider_id": 1,
      "reference": "v31jqnnxuqydmm2",
      "assignment": "reserved",
      "updated_at": "2026-02-02T21:53:30.000000Z",
      "created_at": "2026-02-02T21:53:30.000000Z",
      "id": 1958
    },
    {
      "businesses_id": 96,
      "customer_id": 2109,
      "account_name": "Adeola Bisi",
      "account_number": "8787606921",
      "bank_name": "Wema Bank",
      "currency": "NGN",
      "domain": "live",
      "status": "active",
      "provider_id": 1,
      "reference": "rwniknz6axh8gsm",
      "assignment": "reserved",
      "updated_at": "2026-02-02T21:53:30.000000Z",
      "created_at": "2026-02-02T21:53:30.000000Z",
      "id": 1959
    }
  ]
}

Response Explanation

FieldsTypeDescription
statusbooleanIndicates whether the request was successful.
messagestringA descriptive message about the operation result.
totalCreatedintegerNumber of virtual accounts successfully created.
totalSkippedintegerNumber of accounts skipped during creation.
dataarrayArray of created virtual account objects.
businesses_idintegerThe business identifier associated with the account.
customer_idintegerThe customer identifier for whom the account was created.
account_namestringThe name registered to the virtual account.
account_numberstringThe unique virtual account number (NUBAN).
bank_namestringThe name of the bank providing the virtual account.
currencystringThe currency of the account (e.g., “NGN”).
domainstringThe domain environment (e.g., “live” or “test”).
statusstringThe current status of the account (e.g., “active”).
provider_idintegerThe identifier for the account provider.
referencestringUnique reference code for the virtual account.
assignmentstringAccount assignment type (e.g., “reserved”).
created_atstringTimestamp when the account was created.
updated_atstringTimestamp when the account was last updated.
idintegerThe unique identifier for the virtual account record.